Skip to main content
GET
List WhatsApp conversations

Authorizations

X-API-Key
string
header
required

API key required for all endpoints

Query Parameters

page
integer
default:1
Required range: x >= 1
per_page
integer
default:20
Required range: 1 <= x <= 100
q[status_eq]
enum<string>

Filter by exact status match

Available options:
active,
ended
q[last_active_at_gteq]
string<date-time>

Filter by last_active_at greater than or equal to (ISO 8601 format)

q[last_active_at_lteq]
string<date-time>

Filter by last_active_at less than or equal to (ISO 8601 format)

q[whatsapp_config_id_eq]
string<uuid>

Filter by exact whatsapp_config_id match

q[whatsapp_config_customer_id_eq]
string<uuid>

Filter by customer_id through whatsapp_config relationship

q[phone_number_eq]
string

Filter by exact phone number match (automatically normalized)

Response

A list of WhatsApp conversations

data
object[]
meta
object